## shared-desktop-ontologies 0.5

=== debian/changelog ===
shared-desktop-ontologies (0.5-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add myself to uploaders.
  * Add "DM-Upload-Allowed: yes" in control.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 12 Jun 2010 16:06:52 +0200

shared-desktop-ontologies (0.4-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Switch to format "3.0 (quilt)".
  * Set the compression to bzip2.
  * Expand the description a bit more.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Thu, 06 May 2010 22:07:34 +0200

shared-desktop-ontologies (0.3-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Drop patch 01_licenses, as LICENSE.w3c is not shipped in the upstream
    sources.
  * Remove the Build-Depend on quilt and the usage of the quilt dh addon,
    no more needed now.
  * Add a watch file.
  * Bump Standards-Version to 3.8.4, no changes required.
  * Remove ${shlibs:Depends} from shared-desktop-ontologies, as it is arch:all.
  * Update copyright.
  * Add the Homepage, Vcs-Svn, and Vcs-Browser fields in control.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Mon, 22 Mar 2010 23:34:01 +0200

shared-desktop-ontologies (0.2.0-1) unstable; urgency=low

  * Steal package from ubuntu. Thanks.
  * Move the 'add licenses' patches into quilt
  * Update copyright file, including full cc-by text and noticing it 
    cc-by 3.0
  * Don't use pkg-kde-tools, it is not needed here.

 -- Sune Vuorela <debian@pusling.com>  Mon, 21 Dec 2009 00:13:15 +0100

shared-desktop-ontologies (0.2.0~repack1-0ubuntu1) lucid; urgency=low

  * Initial release
  * Repack tarball:
    - Add base/LICENSE to declare the CC-By license used by the DCMI
    - Add base/LICENSE.W3C to declare the BSD licence used by the W3C

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 01 Dec 2009 12:33:12 -0500
