=== debian/control ===
Source: shared-desktop-ontologies
Section: misc
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7), cmake
Standards-Version: 3.8.4
Homepage: http://oscaf.sourceforge.net
Vcs-Svn: svn://svn.debian.org/pkg-kde/krap/shared-desktop-ontologies/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/shared-desktop-ontologies/trunk/
DM-Upload-Allowed: yes

Package: shared-desktop-ontologies
Architecture: all
Depends: ${misc:Depends}
Description: shared ontologies for semantic searching
 This package provides a set of metadata ontologies in TRIG format for use
 in semantic searching for the desktop.
 .
 It contains the well known core ontologies such as RDF and RDFS as well as
 the Nepomuk ontologies which are used by projects like KDE and Strigi.
