## shared-desktop-ontologies 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # set the version to be used by SharedDesktopOntologiesConfig.cmake
 # ===============================================================================================
 set(SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR 0)
-set(SHAREDDESKTOPONTOLOGIES_VERSION_MINOR 6)
+set(SHAREDDESKTOPONTOLOGIES_VERSION_MINOR 7)
 set(SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE 0)
 set(SHAREDDESKTOPONTOLOGIES_VERSION "${SHAREDDESKTOPONTOLOGIES_VERSION_MAJOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_MINOR}.${SHAREDDESKTOPONTOLOGIES_VERSION_RELEASE}")
