=== debian/changelog ===
shared-desktop-ontologies (0.7.0-0ubuntu1) oneiric; urgency=low

  * New upstrem release 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 10 Jun 2011 21:43:55 +0200
