=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shared-desktop-ontologies
 Section: misc
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
 Standards-Version: 3.9.1
