=== debian/changelog ===
shared-desktop-ontologies (0.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Nov 2011 10:47:38 +0100

shared-desktop-ontologies (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Rework copyright:
    - switch it to DEP5, r174
    - massively update it and be more specific with licenses and copyrights

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2011 16:57:18 +0200

shared-desktop-ontologies (0.7.1-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release.

  [ Pino Toscano ]
  * Switch my address to @debian.org, I'm a DD now.
  * Remove "DM-Upload-Allowed" from control, no more needed now.
  * Bump Standards-Version to 3.9.2, no changes required.
  * Update copyright.
  * Do not compress the debian tar with bzip2, as the gain is basically none.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 13 Aug 2011 00:48:28 +0200
