=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: shared-desktop-ontologies
 Section: misc
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@kde.org>
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://oscaf.sourceforge.net
 Vcs-Git: git://git.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/shared-desktop-ontologies.git
-DM-Upload-Allowed: yes
 
 Package: shared-desktop-ontologies
 Architecture: all
