## shared-desktop-ontologies 0.10.0

=== debian/changelog ===
shared-desktop-ontologies (0.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jun 2012 21:15:55 +0200

shared-desktop-ontologies (0.9.0-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.3, no changes required.
  * Switch copyright to copyright-format v1.0.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Apr 2012 18:55:27 +0200

shared-desktop-ontologies (0.9.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Mar 2012 21:19:20 +0100

shared-desktop-ontologies (0.9.0-1) experimental; urgency=low

  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Feb 2012 00:55:52 +0100
