=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 7), cmake (>= 2.6)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://oscaf.sourceforge.net
 Vcs-Git: git://git.debian.org/pkg-kde/krap/shared-desktop-ontologies.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/shared-desktop-ontologies.git
