## shared-desktop-ontologies 0.11.0

=== debian/changelog ===
shared-desktop-ontologies (0.11.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Update Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Jun 2013 14:18:31 +0200
