=== debian/watch ===
version=3

http://sf.net/oscaf/shared-desktop-ontologies-(.*)\.tar\.bz2
